> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get form group

GET https://demo.rooms.docusign.com/restapi/v2/accounts/{accountId}/form_groups/{formGroupId}

Get the specified form group.

## Permissions

You must have a role for which the `canManageFormGroups` permission is set to **true.**

Reference: https://developers.docusign.com/docs/rooms-api/reference/forms/formgroups/getformgroup

## Authentication

- `Authorization` header (required) — JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer \{token}"

## Servers

- `https://demo.rooms.docusign.com/restapi` (Demo, default)
- `https://rooms.docusign.com/restapi` (Production)

## Request

### Path parameters

- `formGroupId` (string, required) — The ID of the form group. Example: `7b879c89-xxxx-xxxx-xxxx-819d6a85e0a1`
- `accountId` (string, required) — The globally unique identifier (GUID) for the account.

## Response

### 200

Successfully retrieved form group.

- `formGroupId` (string, optional) — The ID of the form group. Example: `7b879c89-xxxx-xxxx-xxxx-819d6a85e0a1`
- `name` (string, optional) — The name of the office.
- `officeIds` (list of integer, optional) — An array of office IDs.
- `forms` (list of GroupForm, optional) — A list of forms.

## Errors

### 400 Bad Request Error

Bad request. See ErrorCode and Message for details

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.
- `referenceId` (string, optional)

### 401 Unauthorized Error

Not authorized to make this request.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.
- `referenceId` (string, optional)

## Types

### GroupForm

Description of a single form in a group.

- `formId` (string, optional) — The ID of the form. Example: `5be324eb-xxxx-xxxx-xxxx-208065181be9`
- `name` (string, optional) — The name of the office.
- `isRequired` (boolean, optional) — **True** if the form is required.
- `lastUpdatedDate` (datetime, optional) — The UTC date and time when the item was last updated. This is a read-only value that the service assigns. Example: 2019-07-17T17:45:42.783Z
- `viewingUserHasAccess` (boolean, optional) — When **true,** the viewing user can access the form.

## Examples

**Response**

```json
{
  "formGroupId": "string",
  "name": "string",
  "officeIds": [
    1
  ],
  "forms": [
    {
      "formId": "string",
      "name": "string",
      "isRequired": true,
      "lastUpdatedDate": "2024-01-15T09:30:00Z",
      "viewingUserHasAccess": true
    }
  ]
}
```